### Method

# Gcr Certificate get_subject_dn

#### Declaration [src]

    gchar*
    gcr_certificate_get_subject_dn (
      GcrCertificate* self
    )

#### Description [src]

Get the full subject DN of the certificate as a (mostly) readable string.

The string returned should be freed by the caller when no longer required.

#### Return value

Type: `gchar*`

The allocated subject DN of the certificate.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.